//
//  AppDelegate.h
//  MakeupMirror
//
//  Created by David Phillip Oster on 3/17/09.
//  Copyright 2009 David Phillip Oster. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class MirrorView;

@interface AppDelegate : NSObject {
  IBOutlet MirrorView *mirrorView_;
}


// ## Applescript interface 
- (BOOL)magnifyOn;
- (void)setMagnifyOn:(BOOL)magnifyOn;

- (BOOL)timeDelayOn;
- (void)setTimeDelayOn:(BOOL)timeDelayOn;

- (BOOL)pauseOn;
- (void)setPauseOn:(BOOL)pauseOn;

- (BOOL)videoOn;

@end
