// CursorShielder.h - when the cursor isn't moving, hide it,
//
//  Created by David Phillip Oster on 4/1/09.
//  Copyright 2009 David Phillip Oster. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface CursorShielder : NSView {
 @private
  NSView *view_;  // WEAK
  NSTrackingRectTag trackingRectTag_;
  BOOL isInside_;

  NSTimer *mouseCheckTimer_;
}
- (id)initWithView:(NSView *)view;

// owning view should call this in view's dealloc to disconnect.
- (void)invalidate;

@end
