//
//  Fifo.h
//  MakeupMirror
//
//  Created by David Phillip Oster on 3/19/09.
//  Copyright 2009 David Phillip Oster. All rights reserved.
//

#import <Cocoa/Cocoa.h>

// First-in-first-out queue, with a max copacity.
@interface Fifo : NSObject {
  NSMutableArray *container_;
  int modulus_;
  int head_;
  int tail_;
}
- (id)initWithCapacity:(int)maxEntries;

- (void)addObject:(id)object;

// or nil if there aren't any
- (id)removeObject;

// how many are in the Fifo.
- (int)count;

@end
